import path from 'path'
import fs from 'fs'

/**
 *
 *
 *  @param {[string]} prefix
 *  @param {[string]} className
 *  @return {[string]}
 *
 */

function resolveClassPath(prefix, className) {

    let classPath = path.join(path.resolve(), 'resources/' + prefix + '/' + className + '.js')
    let result = undefined

    if (fs.existsSync(classPath)) {
        result = classPath
    }

    if (!result) {
        throw new Error('Class ' + prefix + ' / ' + className + ' / ' + classPath + ' not found!')
    }

    return result
}

export {
    resolveClassPath
}
